[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableColumnFilterInputDirective

# Class: TableColumnFilterInputDirective

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts#L22)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new TableColumnFilterInputDirective()

> **new TableColumnFilterInputDirective**(`ngModel`, `tableColumnFilterService`): [`TableColumnFilterInputDirective`](TableColumnFilterInputDirective.md)

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:29](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts#L29)

#### Parameters

##### ngModel

`NgModel`

##### tableColumnFilterService

[`TableColumnFilterService`](TableColumnFilterService.md)

#### Returns

[`TableColumnFilterInputDirective`](TableColumnFilterInputDirective.md)

## Properties

### column

> **column**: `string`

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts#L25)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:41](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts#L41)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts#L37)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
